#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 17. Networking Libraries

- Prev

  kdsoap-ws-discovery-client-0.4.0

- Next

  libevent-2.1.12

- Up
- Home

# ldns-1.8.4

## Introduction to ldns

ldns is a fast DNS library with the goal to simplify DNS programming and to allow developers to easily create software conforming to current RFCs and Internet drafts. This packages also includes the drill tool.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://www.nlnetlabs.nl/downloads/ldns/ldns-1.8.4.tar.gz

- Download MD5 sum: 94ea1ed8fc7095bef003b64b53b71ec7

- Download size: 1.2 MB

- Estimated disk space required: 31 MB (with docs)

- Estimated build time: 0.2 SBU (with docs)

### ldns Dependencies

#### Optional

make-ca-1.15 and libpcap-1.10.5 (for example programs), SWIG-4.3.0 (for Python bindings), and Doxygen-1.13.2 (for html documentation)

## Installation of ldns

Install ldns by running the following commands:

    ./configure --prefix=/usr           \
                --sysconfdir=/etc       \
                --disable-static        \
                --with-drill            &&
    make

If you have Doxygen-1.13.2 installed and want to build html documentation, run the following command:

    make doc

This package does not come with a working test suite.

Now, as the `root` user:

    make install

If you built html documentation, install it by running the following commands as the `root` user:

    install -v -m755 -d /usr/share/doc/ldns-1.8.4 &&
    install -v -m644 doc/html/* /usr/share/doc/ldns-1.8.4

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--with-drill`: This option enables building of the drill tool (used for obtaining debug information from DNS(SEC))

`--disable-dane-ta-usage`: This option disables DANE-TA (DNS-Based Authentication of Named Entities) support. It is only needed if OpenSSL-1.1.0 or later is not installed.

`--with-examples`: This option enables building of the example programs.

`--with-pyldns`: This option enables building of the Python bindings. If you use this option, you will need to add PYTHON=/usr/bin/python3 to the configure line as well.

## Contents

Installed Programs: drill and ldns-config
Installed Library: libldns.so
Installed Directories: /usr/include/ldns and /usr/share/doc/ldns-1.8.4

### Short Descriptions

drill | is a tool like dig from BIND Utilities-9.20.6 designed to get all sorts of information out of the DNS
ldns-config | shows compiler and linker flags for ldns usage
`libldns.so` | provides the ldns API functions to programs

- Prev

  kdsoap-ws-discovery-client-0.4.0

- Next

  libevent-2.1.12

- Up
- Home